Bug 745702

Summary: Tab completion should work with characters instead of bytes
Product: [Fedora] Fedora Reporter: Petr Šabata <psabata>
Component: mkshAssignee: Robert Scheck <redhat-bugzilla>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 16CC: mhlavink, redhat-bugzilla, tg
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: mksh-40i-0.fc18.20120630.x86_64 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 771198 (view as bug list) Environment:
Last Closed: 2013-01-17 03:05:45 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 771198    
Attachments:
Description Flags
fix from mksh CVS none

Description Petr Šabata 2011-10-13 02:38:34 EDT
Description of problem:
Tab completion in mksh seems to work with bytes, not characters.  This results in a poor user experience when working with filenames in multibyte encodings.

Version-Release number of selected component (if applicable):
mksh-40b-2.fc15.x86_64

How reproducible:
Always

Steps to Reproduce:
1. mkdir t && touch t/십일 t/십이
2. Type 'ls t/' and hit <TAB>
  
Actual results:
t/십�

Expected results:
t/십

Additional info:
This should be reproducible with anything beyond ASCII range with UTF-8.
Comment 1 Robert Scheck 2011-12-25 17:59:30 EST
Thorsten, this sounds like something for you as upstream.
Comment 2 Thorsten Glaser 2011-12-26 15:02:09 EST
Agreed (thanks for the testcase and bringing it to my attention),
especially as the line editor behaves funnily afterwards… will fix.
Comment 3 Thorsten Glaser 2011-12-29 18:40:31 EST
Created attachment 550003 [details]
fix from mksh CVS

fixed upstream, thanks for the report
Comment 4 Petr Šabata 2012-01-02 04:53:53 EST
Works like a charm, thank you for the fix!
Comment 5 Robert Scheck 2012-01-02 04:57:17 EST
Petr: Can you try to backport this patch into RHEL 6?

Thorsten: How far is the next mksh release? Shall I wait?
Comment 6 Thorsten Glaser 2012-01-02 05:25:32 EST
Robert: probably in 2-3 weeks, depending on the feedback I get for what’s
currently in the CVS branch R40-stable which I uploaded to Debian unstable.
You might want to package that (I just used R40d and a diff between that
and the current head of the R40-stable branch) in the meantime if you can’t
live without this fix. Be aware it contains less tested changes to the per-
sistent history code (which is why I’m reluctant to release now).

See also the recent mails on miros-mksh@ (via GMane)
Comment 7 Petr Šabata 2012-01-02 07:23:01 EST
(In reply to comment #5)
> Petr: Can you try to backport this patch into RHEL 6?

This is a task for its RHEL maintainer, Michal Hlavinka (CC'd already).
I'll clone this bug for RHEL6.
Comment 8 Fedora End Of Life 2012-08-06 16:08:40 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2012-08-06 16:08:40 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Petr Šabata 2012-08-07 04:09:13 EDT
Still present in the current releases.
Comment 11 Thorsten Glaser 2012-08-07 07:46:52 EDT
Not present in mksh-current. Note you need “set -U”, i.e. Unicode mode enabled.
Comment 12 Fedora End Of Life 2013-01-16 19:17:10 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Petr Šabata 2013-01-17 03:05:45 EST
Works in Fedora 18, finally -- which is good enough for me now.
Closing with my current version.